TypeUtils.WildcardTypeBuilder
Date: 2017-02-08

org.apache.commons.lang3.reflect

## Class TypeUtils.WildcardTypeBuilder

- java.lang.Object
- - org.apache.commons.lang3.reflect.TypeUtils.WildcardTypeBuilder

- All Implemented Interfaces:
    Builder<java.lang.reflect.WildcardType>
  Enclosing class:
    TypeUtils

      public static class TypeUtils.WildcardTypeBuilder
      extends java.lang.Object
      implements Builder<java.lang.reflect.WildcardType>

  `WildcardType` builder.
  Since:
    3.2

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.reflect.WildcardType` | `build()` Returns a reference to the object being constructed or result being calculated by the builder.
    `TypeUtils.WildcardTypeBuilder` | `withLowerBounds(java.lang.reflect.Type... bounds)` Specify lower bounds of the wildcard type to build.
    `TypeUtils.WildcardTypeBuilder` | `withUpperBounds(java.lang.reflect.Type... bounds)` Specify upper bounds of the wildcard type to build.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withUpperBounds

          public TypeUtils.WildcardTypeBuilder withUpperBounds(java.lang.reflect.Type... bounds)

      Specify upper bounds of the wildcard type to build.
      Parameters:
        `bounds` - to set
      Returns:
        `this`

    - #### withLowerBounds

          public TypeUtils.WildcardTypeBuilder withLowerBounds(java.lang.reflect.Type... bounds)

      Specify lower bounds of the wildcard type to build.
      Parameters:
        `bounds` - to set
      Returns:
        `this`

    - #### build

          public java.lang.reflect.WildcardType build()

      Returns a reference to the object being constructed or result being calculated by the builder.
      Specified by:
        `build` in interface `Builder<java.lang.reflect.WildcardType>`
      Returns:
        the object constructed or result calculated by the builder.